LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::ui::dialogs::ListboxControlActions Constant Group Referencepublished

These constants are deprecated and should not be used anymore. More...

## Variables
const short | ADD_ITEM = 1
| Adds an item to the content of the listbox. More...
const short | ADD_ITEMS = 2
| Adds a sequence of strings to the content of the listbox. More...
const short | DELETE_ITEM = 3
| Removes an item from a listbox. More...
const short | DELETE_ITEMS = 4
| Removes all items from the listbox. More...
const short | SET_SELECT_ITEM = 5
| Selects an item in a listbox. More...
const short | GET_ITEMS = 6
| Returns all items of the listbox as a sequence of strings. More...
const short | GET_SELECTED_ITEM = 7
| Returns the currently selected item. More...

## Detailed Description

These constants are deprecated and should not be used anymore.

They're superseded by ControlActions.

Deprecated:

## Variable Documentation

const short ADD_ITEM = 1

Adds an item to the content of the listbox.

The given item has to be a string.

const short ADD_ITEMS = 2

Adds a sequence of strings to the content of the listbox.

const short DELETE_ITEM = 3

Removes an item from a listbox.

The given value has to be a position. If the position is invalid an exception will be thrown. The index of the first position is 0. The value should be a sal_Int32.

const short DELETE_ITEMS = 4

Removes all items from the listbox.

const short GET_ITEMS = 6

Returns all items of the listbox as a sequence of strings.

const short GET_SELECTED_ITEM = 7

Returns the currently selected item.

The returned item is an empty string if the listbox is empty or no item is selected.

const short SET_SELECT_ITEM = 5

Selects an item in a listbox.

The given value has to be a position. The index of the first position is 0. A value of -1 removes the selection. If the given position is invalid an exception will be thrown. The value should be a sal_Int32.